#!/usr/bin/perl -w

BEGIN { push @INC, "blib/arch/auto/parted" };

use parted;
use Data::Dumper;

parted::init () or die "cannot init parted: $!";
print "This is a perl wrapper around parted ", parted::get_version, "\n";

parted::device_probe_all ();

sub display_device($) {
  my ($dev) = @_;
  print Dumper $dev;
  printf "Device: %s - Model: %s\n", $dev->{path}, $dev->{model};
  my $disk = $dev->disk_open() or die "Can't get disk from dev: $!";
  print Dumper $disk;
  printf "DiskType: %s", $disk->{type}->{name};
#  $disk->read() or die "$!";

  print "\n";
}

$dev = parted::device_get_first () or die "can't get a device: $!";
display_device($dev);

while ($dev = $dev->get_next()) {
  display_device($dev);
}

parted::done ();
